## glee 5.4.0

=== debian/changelog ===
glee (5.4.0-2) unstable; urgency=low

  * Upgraded source package to format 3.0 (quilt)
  * Upgraded Standards-Version from 3.8.3 to 3.9.4
  * Upgraded compat level to 9
  * Set Debian Games Team as Maintainer
  * Changed my email address to miriam@debian.org
  * Added links to provide compatibility with other distros. Closes: #579281
  * Using hardening options for building the package.
    See: https://wiki.debian.org/Hardening
  * Converted for multiarch.
    See: https://wiki.debian.org/Multiarch/Implementation

 -- Miriam Ruiz <miriam@debian.org>  Sun, 25 Aug 2013 19:43:23 +0200

glee (5.4.0-1) unstable; urgency=low

  * Initial release. Closes:  #569063

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 25 Dec 2009 07:37:22 +0100
