=== debian/control ===
Source: glee
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9), dh-exec (>=0.3), dh-buildinfo,
 mesa-common-dev, libgl1-mesa-dev
Standards-Version: 3.9.4
Section: libs
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/glee/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/glee/?op=log
Homepage: http://elf-stone.com/glee.php

Package: glee-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libglee0d1 (= ${binary:Version}), ${misc:Depends}
Suggests: libglee0d1-dbg
Description: extension loading library for OpenGL - development
 GLee (GL Easy Extension library) is a free cross-platform extension loading
 library for OpenGL. It provides seamless support for OpenGL functions up to
 version 3.0 and 398 extensions.
 .
 Features:
  * Core functions up to OpenGL 3.0
  * 398 extensions
  * Lazy loading for extension functions, so no initialisation code is required
  * Forced extension loading, though the GLeeForceLink function.
 .
 This package contains the development libraries and headers.

Package: libglee0d1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension loading library for OpenGL
 GLee (GL Easy Extension library) is a free cross-platform extension loading
 library for OpenGL. It provides seamless support for OpenGL functions up to
 version 3.0 and 398 extensions.
 .
 This package contains the shared objects needed for runtime.

Package: libglee0d1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libglee0d1 (= ${binary:Version}), ${misc:Depends}
Description: extension loading library for OpenGL - debugging
 GLee (GL Easy Extension library) is a free cross-platform extension loading
 library for OpenGL. It provides seamless support for OpenGL functions up to
 version 3.0 and 398 extensions.
 .
 This package contains the debugging symbols.
