=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

config: config-stamp
config-stamp: 
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build-stamp: config
	dh_testdir
	$(MAKE) -f debian/Makefile \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS) $(LDFLAGS2)" \
		MULTIARCH="$(DEB_HOST_MULTIARCH)"
	touch $@

build-indep: build-stamp

build-arch: build-stamp

build: build-arch build-indep

clean: config
	dh_testdir
	dh_testroot
	rm -fv build-stamp config-stamp
	$(MAKE) -f debian/Makefile \
		MULTIARCH="$(DEB_HOST_MULTIARCH)" \
		clean
	rm -fv debian/glee.pc
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -f debian/Makefile \
		MULTIARCH="$(DEB_HOST_MULTIARCH)" \
		DESTDIR=$(CURDIR)/debian/tmp \
		install

%.pc: %.pc.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

# Build architecture-independent files here.
binary-indep: install debian/glee.pc

# Build architecture-dependent files here.
binary-arch: install debian/glee.pc
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip --dbg-package=libglee0d1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build-arch build-indep build clean binary-indep binary-arch binary install
